; Auto calibration routine for delta printers
; Before running this, you should have set up your zprobe X, Y and Z offsets to suit your build.
; This does a single iteration of auto calibration. Run this file multiple times until the values converge.
; Then transfer the values to your config.g file.

M561						; clear any bed transform, otherwise homing may be at the wrong height
G31 X0 Y0					; don't want any probe offset for this
G28							; home the printer

G90							; absolute movements
G1 Z10 F12000				; move to just above the bed

;*** Remove the following line if your Z probe does not need to be deployed
;M98 Pdeployprobe.g			; deploy the mechanical Z probe

M201 X500 Y500 Z500
; The first time the probe is used after deployment, it gives slightly different results.
; So do an extra dummy probe here. The value stored gets overwritten later.
G30 P0 X0 Y0 Z-99999

; Probe the bed and do auto calibration
G30 P0 X-64.95 Y-37.50 Z-99999	    ; X tower
G4 P300
G30 P1 X0.00 Y-50.00 Z-99999		; Z tower opposite
G4 P300
G30 P2 X64.95 Y-37.50 Z-99999	    ; Y tower
G4 P300
G30 P3 X43.30 Y25.0 Z-99999		; X tower opposite
G4 P300
G30 P4 X0.00 Y75.00 Z-99999			; Z tower
G4 P300
G30 P5 X-43.40 Y25.0 Z-99999		; Y tower opposite
G4 P300

G30 P6 X-32.48 Y-18.75 Z-99999		; half way to X tower
G4 P300
G30 P7 X32.48 Y-18.75 Z-99999		; half way to Y tower
G4 P300
G30 P8 X0 Y37.5 Z-99999				; half way to Z tower
G4 P300

G31 Z-0.20
G30 P9 X0 Y0 Z-99999 S6				; centre, and auto-calibrate
;G31 Z-0.10
G31 Z0

G1 X0 Y0 F15000

;*** Remove the following line if your Z probe does not need to be retracted
;M98 Pretractprobe.g			; deploy the mechanical Z probe

M201 X4000 Y4000 Z4000

;G91
;G1 S1 X170 Y170 Z170 F15000	; go part way up to speed up homing, endstops activated just in case
;G90
G28							; Home the printer again so as to activate the new endstop adjustments